kind: pipeline
name: default

steps:
- name: alpine
  image: alpine:3.15.0
  commands:
    - export SHELL=/bin/bash # hack custom shell
    - apk update
    - apk add musl-locales openjdk11 make py3-virtualenv
    - export LANG=es_ES.UTF-8 LANGUAGE=es_ES
    - virtualenv -p python3 venv
    - source venv/bin/activate
    - pip install -r requirements.txt
    - (cd libretube-theme/ && make compile)
    - cp -v Makefile.example Makefile
    - make validate
